Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

Delete a post delivery

Only draft, scheduled, retry_scheduled, or failed deliveries can be deleted.

DELETE/api/cli/posts
Authorization
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Request body
requiredapplication/json
idstringrequired
Responses
200

OK

successboolean
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
404

Not found

errorstringrequired
codestring
409

Post is not deletable in its current status

errorstringrequired
codestring
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X DELETE "https://www.brainyshorts.com/api/cli/posts" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "string"
}'
Response
{
  "success": true
}